Subject: Re: bug#34390: package.el says "Obsolete" when it means "No Longer Used"

From: "[email-masked]" <[email-masked]>
Date: Fri, 08 Feb 2019 11:42:35 -0600

The statement of superseded as used by Guix is that it has a reference pointer to what it is superseded by, and will either point to a different package definition of a new version of the original package.
I think as long as the terminology is clear, and what it is superseded by is iterated properly, we are in good shape.
Brett Gilio
------ Original message------From: Basil L. ContovounesiosDate: Fri, Feb 8, 2019 11:34 AMTo: Brett Gilio;Cc: [email-masked];Phillip Lord;Subject:bug#34390: package.el says "Obsolete" when it means "No Longer Used"
Brett Gilio  writes:

> Basil L. Contovounesios writes:
>
>> How about "shadowed" or similar?
>
> The Guix package manager uses a term "superseded." I quite find this
> term to be useful and nice.

SGTM.  Though if one wanted to be really pedantic I think they could
argue that a package (either installed or uninstalled) could be
superseded by another package (again regardless of whether it's
installed), whereas shadowing can only occur if both packages/versions
are installed, IIUC.

-- 
Basil